@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

set SCRIPTS=..\scripts
set SOFTWARE=..\software
set MSI=go-setup.msi
set STARTMENU="%PROGRAMDATA%\Microsoft\Windows\Start Menu\Programs"

if NOT EXIST %SOFTWARE%\%MSI% (
  echo ERROR: %SOFTWARE%\%MSI% not found!
  exit /b
)

echo ####### %0 #######

cd %SOFTWARE%
@echo on
msiexec /i %MSI% /passive
@echo off
cd %OPT%

echo removing GO startmenu folder ...
rd /S /Q %STARTMENU%\"Go Programming Language" 2>nul

echo ####### %0 #######

